{% extends "layout.twig" %}
{#{% set isAuth = 1 %}#}
{% block head %}
    <title>App | Home</title>
{% endblock %}

{% block title %}
    Profile
{% endblock %}

{% block content %}

{#    <div class="uk-flex uk-flex-center">#}
{#        <p><b>Email:</b> {{ username }}</p>#}
{#    </div>#}
{#    <div class="uk-flex uk-flex-center">#}
{#        <h4>Change password</h4>#}
{#    </div>#}
{#    <div class="uk-flex uk-flex-center">#}
{#        <form method="post" action="{{ path_for('profile.post') }}">#}
{#            <div class="uk-margin">#}
{#                <div class="uk-inline uk-width-1-1">#}

{#                    <label class="uk-form-label" for="old_password">Old password</label>#}
{#                    <input id="old_password" class="uk-input" name="old_password" placeholder="password" type="password">#}
{#                </div>#}
{#            </div>#}
{#            <div class="uk-margin">#}
{#                <div class="uk-inline uk-width-1-1">#}
{#                    <span class="uk-form-icon" uk-icon="icon: lock"></span>#}

{#                    <label class="uk-form-label" for="new_password">New password</label>#}
{#                    <input id="new_password" class="uk-input" name="new_password" placeholder="new_password" type="password">#}
{#                </div>#}
{#            </div>#}
{#            <div class="uk-margin">#}
{#                <div class="uk-inline uk-width-1-1">#}
{#                    <label class="uk-form-label" for="password_repeat">New password repeat</label>#}
{#                    <input id="password_repeat" class="uk-input" name="password_repeat" placeholder="password_repeat" type="password">#}
{#                </div>#}
{#            </div>#}

{#            <input type="hidden" name="{{ csrf.keys.name }}" value="{{ csrf.name }}">#}
{#            <input type="hidden" name="{{ csrf.keys.value }}" value="{{ csrf.value }}">#}
{#            <button class="uk-button uk-button-default">Submit</button>#}
{#        </form>#}
{#    </div>#}

    <div class="d-flex justify-content-center">
        <form method="post" action="{{ path_for('profile.post') }}">
            <div class="form-row">
                <div class="col">
                    <label for="email">Email</label>
                    <input type="email" readonly class="form-control-plaintext" id="email" value="{{ username }}">
                </div>
            </div>
            <div class="form-row mt-2">
                <div class="col">
                    <label for="old_password">Old password</label>
                    <input type="password" class="form-control" id="old_password" name="old_password" placeholder="Password">
                </div>
            </div>
            <div class="form-row mt-2">
                <div class="col">
                    <label for="new_password">New password</label>
                    <input type="password" class="form-control" id="new_password" name="new_password" placeholder="Password">
                </div>
            </div>
            <div class="form-row mt-2">
                <div class="col">
                    <label for="password_repeat">Password repeat</label>
                    <input type="password" class="form-control" id="password_repeat" name="password_repeat" placeholder="Password">
                </div>
            </div>
            <input type="hidden" name="{{csrf.keys.name}}" value="{{csrf.name}}">
            <input type="hidden" name="{{csrf.keys.value}}" value="{{csrf.value}}">
            <div class="d-flex justify-content-center mt-3">
                <button class="btn btn-outline-secondary">Save</button>
            </div>
        </form>
    </div>
{% endblock %}

{% block msg%}
    {% if has_error('old_password') or has_error('new_password') or has_error('password_repeat') %}
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
            <h4 class="alert-heading">Error</h4>
            <p>{{ get_error('old_password') }}</p>
            <p>{{ get_error('new_password') }}</p>
            <p>{{ get_error('password_repeat') }}</p>
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
    {% endif %}

    {% if success_msg is defined %}
        <div class="alert alert-success alert-dismissible fade show" role="alert">
            {% if success_title is defined %}
                <h3>{{ success_title }}</h3>
            {% else %}
                <h3>Success</h3>
            {% endif %}
            <p>{{ success_msg }}</p>
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
    {% endif %}
{% endblock%}